# malias

_malias_ is a helper for mailcow instances. You can create, delete, search and list aliases.

## Installation

Download the latest release from [https://gitlab.pm/rune/malias/releases](https://iurl.no/release). Unzip and move to a folder in you path (ease of use). I also recommend rename the file ```malias.py``` to just ```malias``` and make the file executable with ```chmod +x malias```. To install required python modules run ```pip3 install -r requirements.txt```

## Usage

For instructions run 

```bash
malias -h
```

## Documentation

```bash
usage: malias [-h] [-k APIkey] [-s alias@domain.com] [-m mailcow-server.tld]
              [-a alias@domain.com to@domain.com]
              [-t user@domain.com domain.com] [-d alias@domain.com]
              [-i alias.json] [-v] [-c] [-l] [-o]

This is a simple application to help you create and delete aliases on a mailcow instance.
If you find any issues or would like to submit a PR - please head over to https://gitlab.pm/rune/malias. 

I hope this makes your mailcow life a bit easier!

optional arguments:
  -h, --help            show this help message and exit
  -k APIkey, --api APIkey
                        Add/Change API key.
                        
  -s alias@domain.com, --search alias@domain.com
                        Search for alias.
                        
  -m mailcow-server.tld, --server mailcow-server.tld
                        Add/Uppdate mailcow instance.
                        
  -a alias@domain.com to@domain.com, --add alias@domain.com to@domain.com
                        Add new alias.
                        
  -t user@domain.com domain.com, --timed user@domain.com domain.com
                        Add new time limited alias for user on domain. One year validity
                        
  -d alias@domain.com, --delete alias@domain.com
                        Delete alias.
                        
  -v, --version         Show current version and information
                        
  -c, --copy            Copy alias data from mailcow server to local DB.
                        
  -l, --list            List all aliases on the Mailcow instance.
                        
  -o, --domains         List all mail domains on the Mailcow instance.
                        

Making mailcow easier...
```

## Plans

I'm also working on functionality for exporting and importing aliases. As of version _0.4_ there is an export and an import fucntion that is not active in the app. Hopefully they will be finnished some day...

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.

## Support

If you found a bug or you have suggestion for new features create an issue.


## License

[<img src="https://gitlab.pm/rune/malias/raw/branch/main/mit.png">](https://gitlab.pm/rune/malias/src/branch/main/LICENSE)
